DHTNODE(1)

NAME
dhtnode - a simple OpenDHT command line node runner.

SYNOPSIS
dhtnode [-h] dhtnode [-v [-l logfile]] [-i] [-d] [-n network_id] [-p local_port] [-b bootstrap_host[:port]]

DESCRIPTION
This program runs a simple OpenDHT node in an interactive way. If you rather want to run the node in daemon mode, option '-d' is provided. When running in the interactive shell, you benefit from the readline capabilities for writing your commands such as command history. Here are the available commands in the interactive shell:
    h, help Print this help message.
    q, quit Quit the program.
    log Start/stop printing DHT logs.
    Node information:
    ll Print basic information and stats about the current node.
    ls Print basic information about current searches.
    ld Print basic information about currenty stored values on this node.
    lr Print the full current routing table of this node
    Operations on the DHT:
    b ip:port Ping potential node at given IP address/port.
    g [key] Get values at [key].
    l [key] Listen for value changes at [key].
    p [key] [str] Put string value at [key].
    s [key] [str] Put string value at [key], signed with our generated
                        private key.
    e [key] [dest] [str] Put string value at [key], encrypted for [dest] with
                        its public key (if found).

OPTIONS

-h  Prints some help.

-v  Enable the verbose mode (log to stdout by default)

-l log_file
    Write log to file instead of stdout

-i  Generate cryptographic identity for the node.

-d  Run the program in daemon mode (will fork in the background).

-n network_id
    Specify the network id. This let you connect to distinct networks and prevents the merge of two different networks (available since OpenDHT v0.6.1).

-p local_port
    Use port local_port for the program to bind to.

-b bootstrap_host[:port]
    The program needs to be given a node to connect to the network. You use this option to provide the ip address of that node.

AUTHORS

Program written by

•   Adrien Béraud <adrien.beraud@savoirfairelinux.com>

Man page written by

•   Simon Désaulniers <sim.desaulniers@gmail.com>